GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALGridInverseDistanceToAPowerOptions Struct Reference

Inverse distance to a power method control options. More...

`#include <gdal_alg.h>`

## Public Attributes
double | dfPower
double | dfSmoothing
double | dfAnisotropyRatio
double | dfAnisotropyAngle
double | dfRadius1
double | dfRadius2
double | dfAngle
GUInt32 | nMaxPoints
GUInt32 | nMinPoints
double | dfNoDataValue

## Detailed Description

Inverse distance to a power method control options.

## Member Data Documentation

double GDALGridInverseDistanceToAPowerOptions::dfAngle

Angle of ellipse rotation in degrees.

Ellipse rotated counter clockwise.

double GDALGridInverseDistanceToAPowerOptions::dfAnisotropyAngle

Reserved for future use.

double GDALGridInverseDistanceToAPowerOptions::dfAnisotropyRatio

Reserved for future use.

double GDALGridInverseDistanceToAPowerOptions::dfNoDataValue

No data marker to fill empty points.

double GDALGridInverseDistanceToAPowerOptions::dfPower

Weighting power.

double GDALGridInverseDistanceToAPowerOptions::dfRadius1

The first radius (X axis if rotation angle is 0) of search ellipse.

double GDALGridInverseDistanceToAPowerOptions::dfRadius2

The second radius (Y axis if rotation angle is 0) of search ellipse.

double GDALGridInverseDistanceToAPowerOptions::dfSmoothing

Smoothing parameter.

GUInt32 GDALGridInverseDistanceToAPowerOptions::nMaxPoints

Maximum number of data points to use.

Do not search for more points than this number. If less amount of points found the grid node considered empty and will be filled with NODATA marker.

GUInt32 GDALGridInverseDistanceToAPowerOptions::nMinPoints

Minimum number of data points to use.

If less amount of points found the grid node considered empty and will be filled with NODATA marker.

The documentation for this struct was generated from the following file:

- gdal_alg.h

Generated for GDAL by 1.8.9.1.